﻿using System;
using System.Linq;
using System.Web.Mvc;

namespace MyWebApplication.Controllers
{
    public class HomeController : Controller
    {
        IExampleDependency calculator;
        AppDbContext ctx;

        public HomeController(IExampleDependency calculator, AppDbContext ctx)
        {
            this.calculator = calculator;
            this.ctx = ctx;
        }


        public ActionResult Index()
        {
            return Content("Addieren zweier Zahlen: 5 + 3  = " + calculator.add(5, 3));
        }


        public ActionResult AddEmployees()
        {
            ctx.Employees.Add(new Employee()
            {
                Forename = "Max",
                Surname = "Mustermann",
                Department = "Entwicklungsabteilung",
                Birthday = new DateTime(1986, 4, 1),
                Salary = 65000
            });

            ctx.Employees.Add(new Employee()
            {
                Forename = "Bernd",
                Surname = "Beispiel",
                Department = "Verwaltung",
                Birthday = new DateTime(1988, 5, 10),
                Salary = 40000
            });

            ctx.SaveChanges();
            return Content("Mitarbeiter wurden gespeichert!");
        }
    }
}