﻿using Microsoft.AspNet.SignalR;
using Microsoft.Owin;
using Owin;

[assembly: OwinStartup(typeof(MyWebApplication.Startup))]

namespace MyWebApplication
{
    public class Startup
    {
        public void Configuration(IAppBuilder app)
        {
            var factory = new SignalrHubFactory(MvcApplication.container);
            var cfg = new HubConfiguration() { Resolver = factory, EnableDetailedErrors = true };
            app.MapSignalR(cfg);
        }
    }
}