﻿using Microsoft.AspNet.SignalR.Client;
using System;

namespace MyClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (HubConnection hubConnection = new HubConnection("http://localhost:57256/"))
            {
                IHubProxy proxy = hubConnection.CreateHubProxy("ExampleHub");
                hubConnection.Start().Wait();

                int d = proxy.Invoke<int>("Subtract", 10, 3).Result;
                Console.WriteLine("Subtrahieren zweier Zahlen: 10 - 3 = " + d);
            }
            Console.ReadLine();
        }
    }
}
