﻿using Microsoft.AspNet.SignalR;
using Microsoft.AspNet.SignalR.Hubs;

namespace MyWebApplication
{
    [HubName("ExampleHub")]
    public class ExampleHub : Hub
    {
        IExampleDependency calculator;

        public ExampleHub(IExampleDependency calculator)
        {
            this.calculator = calculator;
        }

        public int Add(int a, int b)
        {
            return calculator.add(a, b);
        }

        public int Subtract(int a, int b)
        {
            return calculator.subtract(a, b);
        }
    }
}